> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive job stage

> Retire a stage and keep its history. Applications in it are moved to `mergeIntoStageId`, which must be an active stage with the same outcome (active stages merge into active stages; hired, rejected or withdrawn stages only into a stage of the same kind).



## OpenAPI

````yaml /openapi.json post /api/v1/jobs/{id}/stages/{stageId}/archive
openapi: 3.1.0
info:
  title: Harly API
  version: 1.0.0
servers:
  - url: https://{instance}
    variables:
      instance:
        default: app.harly.dev
        description: Hostname of your Harly installation
security: []
paths:
  /api/v1/jobs/{id}/stages/{stageId}/archive:
    post:
      tags:
        - Jobs
        - Pipeline
      summary: Archive job stage
      description: >-
        Retire a stage and keep its history. Applications in it are moved to
        `mergeIntoStageId`, which must be an active stage with the same outcome
        (active stages merge into active stages; hired, rejected or withdrawn
        stages only into a stage of the same kind).
      operationId: archiveJobStage
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        - name: stageId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    mergeIntoStageId:
                      anyOf:
                        - type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        - type: 'null'
                  additionalProperties: false
                - type: 'null'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      stage:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          jobId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          name:
                            type: string
                          color:
                            anyOf:
                              - type: string
                              - type: 'null'
                          order:
                            type: number
                          kind:
                            type: string
                            enum:
                              - applied
                              - screening
                              - interview
                              - offer
                              - hired
                              - rejected
                              - withdrawn
                              - custom
                          archivedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                          emailConfig:
                            type: object
                            properties:
                              candidateUpdatesEnabled:
                                type: boolean
                            required:
                              - candidateUpdatesEnabled
                            additionalProperties: false
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                        required:
                          - id
                          - jobId
                          - name
                          - color
                          - order
                          - kind
                          - archivedAt
                          - emailConfig
                          - createdAt
                          - updatedAt
                        additionalProperties: false
                      movedApplications:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                    required:
                      - stage
                      - movedApplications
                    additionalProperties: false
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          nextCursor:
                            anyOf:
                              - type: string
                              - type: 'null'
                          hasMore:
                            type: boolean
                          limit:
                            type: number
                        required:
                          - nextCursor
                          - hasMore
                          - limit
                        additionalProperties: false
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '400':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Harly API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.